# dkim_dns_trustanchor()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_dns_trustanchor(
    	DKIM_LIB *libopendkim,
            const char * trustanchor)
    );

Passes arbitrary trust anchor configuration information to the resolver.

DESCRIPTION

Called When | `dkim_dns_trustanchor()` can be called at any time, but is presumably most useful prior to doing any DNS operations such as are done during `dkim_eoh()` when verifying.

ARGUMENTS

Argument | Description
--- | ---
libopendkim | The library instantiation handle, returned by `dkim_init()`.
trustanchor | A null-terminated string containing trust anchor configuration data for the resolver. The string is passed intact to the resolver and is not used by this library.

RETURN VALUES

- `DKIM_DNS_SUCCESS` -- successful operation (the underlying trust anchor configuration function returned something other than zero)
- `DKIM_DNS_ERROR` -- an error occurred

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.